# class Float

### Public Instance Methods

to_yaml( opts = {} ) click to toggle source
Calls superclass method Object#to_yaml

    # File lib/syck/rubytypes.rb, line 381
    def to_yaml( opts = {} )
    return super unless YAML == Syck
            Syck::quick_emit( nil, opts ) do |out|
        str = self.to_s
        if str == "Infinity"
            str = ".Inf"
        elsif str == "-Infinity"
            str = "-.Inf"
        elsif str == "NaN"
            str = ".NaN"
        end
        out.scalar( "tag:yaml.org,2002:float", str, :plain )
    end
    end